@pollum-io/widgets
TypeScript icon, indicating that this package has built-in type declarations

0.0.5 • Public • Published

Pegasys Widgets

npm Unit tests Integration tests Lint Crowdin

The @uniswap/widgets package is an npm package of React components used to provide subsets of the Uniswap Protocol functionality in a small and configurable user interface element.

Pollum Swap Widget

The Swap Widget bundles the whole swapping experience into a single React component that developers can easily embed in their app with one line of code.

swap widget screenshot

You can customize the theme (colors, fonts, border radius, and more) to match the style of your application. You can also configure your own default token list and optionally set a convenience fee on swaps executed through the widget on your site.

Installation

Install the widgets library via npm or yarn.

yarn add @pollum-io/widgets
npm i --save @pollum-io/widgets

Documentation

Example Apps

Uniswap Labs maintains two demo apps in branches of the widgets-demo repo:

Others have also also released the widget in production to their userbase:

Legal notice

Uniswap Labs encourages integrators to evaluate their own regulatory obligations when integrating this widget into their products, including, but not limited to, those related to economic or trade sanctions compliance.

Readme

Keywords

none

Package Sidebar

Install

npm i @pollum-io/widgets

Weekly Downloads

25

Version

0.0.5

License

GPL-3.0-or-later

Unpacked Size

13.9 MB

Total Files

104

Last publish

Collaborators

  • davidpotolski
  • clausss
  • lucasgabrielgsp
  • thomgabriel
  • gabrielprediger
  • canokaue